Bug 1052797 - [abrt] python-lettuce: pkg_resources.py:576:resolve:DistributionNotFound: ipdb
Summary: [abrt] python-lettuce: pkg_resources.py:576:resolve:DistributionNotFound: ipdb
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-lettuce
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bohuslav "Slavek" Kabrda
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1e3218da2e5eb1816bd6c798046...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-14 04:50 UTC by Praveen Kumar
Modified: 2014-04-17 07:23 UTC (History)
2 users (show)

Fixed In Version: python-lettuce-0.2.19-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-24 16:34:31 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1020 bytes, text/plain)
2014-01-14 04:50 UTC, Praveen Kumar
no flags Details
File: environ (2.92 KB, text/plain)
2014-01-14 04:50 UTC, Praveen Kumar
no flags Details

Description Praveen Kumar 2014-01-14 04:50:36 UTC
Description of problem:
Install python-lettuce
execute "lettuce"

Version-Release number of selected component:
python-lettuce-0.2.18-1.fc20

Additional info:
reporter:       libreport-2.1.10
cmdline:        /usr/bin/python /usr/bin/lettuce
dso_list:       python-setuptools-1.4-1.fc20.noarch
executable:     /usr/bin/lettuce
kernel:         3.11.10-301.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
pkg_resources.py:576:resolve:DistributionNotFound: ipdb

Traceback (most recent call last):
  File "/usr/bin/lettuce", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 2793, in <module>
    working_set.require(__requires__)
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 673, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 576, in resolve
    raise DistributionNotFound(req)
DistributionNotFound: ipdb

Local variables in innermost frame:
dist: None
to_activate: [lettuce 0.2.18 (/usr/lib/python2.7/site-packages)]
req: Requirement.parse('ipdb')
requirements: [Requirement.parse('fuzzywuzzy'), Requirement.parse('sure')]
processed: {Requirement.parse('lettuce==0.2.18'): True}
env: <pkg_resources.Environment object at 0x7f41019356d0>
installer: None
self: <pkg_resources.WorkingSet object at 0x7f4102e0ef90>
best: {'ipdb': None}

Comment 1 Praveen Kumar 2014-01-14 04:50:42 UTC
Created attachment 849732 [details]
File: backtrace

Comment 2 Praveen Kumar 2014-01-14 04:50:44 UTC
Created attachment 849733 [details]
File: environ

Comment 3 Praveen Kumar 2014-01-14 04:54:06 UTC
python-ipdb should be added as require section to resolve this issue.

Comment 4 Bohuslav "Slavek" Kabrda 2014-02-24 16:34:31 UTC
The newest version has dropped the dependency, so I updated in Rawhide and everything should work once again.


Note You need to log in before you can comment on or make changes to this bug.